<?php declare(strict_types=1);

namespace Lean\Response;

use Laminas\Diactoros\Response\HtmlResponse;
use League\CommonMark\CommonMarkConverter;

/**
 * Markdown response.
 *
 * Permet de convertir un fichier Markdown en html, et utilise en suite le HtmlResponse
 * pour pousser le résultat en ligne, avec un code 200 par défault et un Content-Type approprié
 */
class MarkdownResponse extends HtmlResponse
{
    public function __construct(string $markdown, int $status = 200, array $headers = [])
    {
        parent::__construct(( new CommonMarkConverter() )->convertToHtml($markdown), $status, $headers);
    }
}
